Subject: bug#16736: Compiling a Lisp file causes display to flash off and on

From: Glenn Morris <[email-masked]>
Date: Fri, 14 Feb 2014 02:48:31 -0500

Eli Zaretskii wrote:

> I tried to reproduce your original report, but couldn't, perhaps
> because I couldn't find a large enough Lisp file that compiles without
> warnings.  Can you tell which file did you use?

I think I randomly used progmodes/scheme.el, but added

(require 'gnus)
(require 'org)

at the start, and deleted gnus/*.elc and org/*.elc to slow things down.

Basically make the slowest compilation you can, so long as there are no
warnings. It seems to be right at the end of the compilation that the
flash occurs.

> As for toolbar flickering with repeated "C-x 2" and "C-x 1", I don't
> see it here.  Is this with a configuration where Emacs draws the
> toolbar, or is the toolbar drawn by the toolkit?

--with-x-toolkit=athena --without-toolkit-scroll-bars